from setuptools import setup, find_packages

setup(
    name="JavaCompilerLib",
    version="1.0.1",
    packages=find_packages(),
    install_requires=[
        "tk",  # Для графического интерфейса
        "requests",  # Для загрузки файлов
    ],
    entry_points={
        "console_scripts": [
            "javacompiler=JavaCompilerLib.ui:main",  # Запуск UI через консоль
        ]
    },
    author="OUBStudios",
    description="Java Compiler",
    long_description=open("README.md", encoding="utf-8").read(),
    long_description_content_type="text/markdown",
    url="https://github.com/OUBSource/JavaCompilerLib",
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
    python_requires=">=3.6",
)
